--- title: "Get Rate Limiting Profile" slug: "get-rate-limiting-profile" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-rate-limiting-profile" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Rate Limiting Profile This URL gets the rate limiting profile details. ## Resource URL GET /ratelimitingprofile/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | profile_id | Profile id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. Payload Request Parameters: | Field Name | Description | Data Type | | --- | --- | --- | | rateLimitingProfileId | Unique rate limiting profile id, not required for POST | Number | | name | Profile name | String | | domainId | Id of domain to which this profile belongs to | Number | | visibleToChild | Profile visible to child domain | Boolean | | description | Rate limiting profile description | String | | lastModifiedTime | Last modified time of the profile, not required for POST | String | | isEditable | Profile is editable or not, not required for POST | Boolean | | lastModifiedUser | Latest user that modified the profile, not required for POST | String | | bandwidthLimits | Bandwidth limits in the profile | Object | Details of bandwidthLimits: | Field Name | Description | Data Type | | --- | --- | --- | | interfaceType | Interface type, can be "MBPS_10" / "MBPS_100" / "GBPS_1" / "GBPS_100" | String | | classBandwidthDetails | Bandwidth Details for each class | Array | Details of object in ClassBandwidthDetails: | Field Name | Description | Data Type | | --- | --- | --- | | qosClass | Class | Number | | bandwidthLimit | Bandwidth limit | Number | | bandwidthUnit | Bandwidth unit, can be "KBPS" / "MBPS" / "GBPS" | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ratelimitingprofile/1003](https://%3CNSM_IP%3E/sdkapi/ratelimitingprofile/1003) **Response** ``` {       "rateLimitingProfileId": 1003,       "name": "UpdateProfile",       "domainId": 0,       "visibleToChild": false,       "description": "Profile Not Visible To Child Domain ",       "lastModifiedTime": "2012-10-09 13:32:56",       "lastModifiedUser": "/admin",       "bandwidthLimits":       {           "interfaceType": "GBPS_10",           "classBandwidthDetails":           [               {                   "qosClass": 1,                   "bandwidthLimit": 1024,                   "bandwidthUnit": "MBPS"               },               {                   "qosClass": 2,                   "bandwidthLimit": 0,                   "bandwidthUnit": "KBPS"               },               {                   "qosClass": 3,                   "bandwidthLimit": 1,                   "bandwidthUnit": "MBPS"               },               {                   "qosClass": 4,                   "bandwidthLimit": 1,                   "bandwidthUnit": "GBPS"               },               {                   "qosClass": 5,                   "bandwidthLimit": 0,                   "bandwidthUnit": "KBPS"               },               {                   "qosClass": 6,                   "bandwidthLimit": 0,                   "bandwidthUnit": "KBPS"               },               {                   "qosClass": 7,                   "bandwidthLimit": 0,                   "bandwidthUnit": "KBPS"               }           ]       } } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 404 | 2403 | Invalid rate limiting profile Id / profile not visible in this domain |